from django.contrib import admin, auth

from .models import TipoRadio, User, RapportoRicezione

# Register your models here.
admin.site.register(TipoRadio)


@admin.register(User)
class UserAdmin(auth.admin.UserAdmin):
    pass

from django.utils.html import format_html
@admin.register(RapportoRicezione)
class RapportoAdmin(admin.ModelAdmin):
    # TODO: comprensibile dovrebbe essere un pallino colorato
    list_display = ('id', 'indirizzo', 'color_circle', 'created', 'author')
    list_filter = ('author', 'created', 'comprensibile')
    search_fields = ('indirizzo',)
    def color_circle(self, x):
        return format_html('<span style="color: {}">&#9679;</span>', x.colore)
    color_circle.allow_tags = True
    color_circle.description = 'Comprensibilità'
